# class DBus::FormalParameter

# A formal parameter has a name and a type¶ ↑

### Attributes

name[R]
type[R]

### Public Class Methods

new(name, type) click to toggle source

       # File lib/dbus/introspect.rb
    79 def initialize(name, type)
    80   @name = name
    81   @type = type
    82 end

### Public Instance Methods

[](index) click to toggle source

backward compatibility, deprecated

       # File lib/dbus/introspect.rb
    85 def [](index)
    86   case index
    87   when 0 then name
    88   when 1 then type
    89   end
    90 end